%global momorel 2

Summary: visual diff and merge tool
Name: meld
Version: 1.3.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://meld.sourceforge.net/
Group: Applications/Productivity
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.3/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch1: meld-1.3.2-ja.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): hicolor-icon-theme gtk2

%description
Meld is a visual diff and merge tool. You can compare two or three
files and edit them in place (diffs update dynamically). You can
compare two or three folders and launch file comparisons. You can
browse and view a working copy from popular version control systems
such such as CVS, Subversion, Bazaar-ng and Mercurial. Look at the
screenshots page for more detailed features.

%prep
%setup -q
%patch1 -p1 -b .ja

%build
make

%install
rm -rf --preserve-root %{buildroot}
make prefix=%{buildroot}/usr libdir=%{buildroot}%{_libdir} install
rm -rf %{buildroot}/usr/var/lib/scrollkeeper
sed --in-place 's,\/local\/lib,\/%{_lib},' %{buildroot}%{_bindir}/meld
sed --in-place 's,\/local\/share,\/share,' %{buildroot}%{_libdir}/meld/meld/paths.py
rm -f %{buildroot}%{_libdir}/meld/paths.py[co]
sed --in-place 's,\/local\/share,\/share,' %{buildroot}%{_datadir}/omf/%{name}/meld-C.omf
sed --in-place 's,\/local\/share,\/share,' %{buildroot}%{_datadir}/omf/%{name}/meld-es.omf

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}/%{name}-*.omf
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.2-2m)
- full rebuild for mo7 release

* Fri Jun 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.2-1m)
- update to 1.3.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Aug 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1
- add patch1 (why not update ja.po?)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-2m)
- rebuild against rpm-4.6

* Mon Nov 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Fri Jun 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2-1m)
- update to 1.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.5.1-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.5.1-2m)
- %%NoSource -> NoSource

* Thu Jun 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5.1-1m)
- update to 1.1.5.1

* Sun Jun 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5-2m)
- delete paths.py[co] (bad path)

* Sun Jun 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5-1m)
- update to 1.1.5

* Sat Oct 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.4-2m)
- fix lib64 problem

* Thu Oct 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.4-1m)
- initial build


